package sun.security.tools;

import java.net.MalformedURLException;
import java.io.IOException;
import java.util.StringTokenizer;
import java.net.URL;
import java.io.File;

public class PathList
{
    public PathList() {
    }
    
    public static String appendPath(String str, String str2) {
        if (str == null || str.length() == 0) {
            return str2;
        }
        if (str2 == null || str2.length() == 0) {
            return str;
        }
        return str + File.pathSeparator + str2;
    }
    
    public static URL[] pathToURLs(String str) {
        StringTokenizer stringTokenizer = new StringTokenizer(str, File.pathSeparator);
        URL[] array = new URL[stringTokenizer.countTokens()];
        int n = 0;
        while (stringTokenizer.hasMoreTokens()) {
            URL fileToURL = fileToURL(new File(stringTokenizer.nextToken()));
            if (fileToURL != null) {
                array[n++] = fileToURL;
            }
            else {
                continue;
            }
        }
        if (array.length != n) {
            URL[] array2 = new URL[n];
            System.arraycopy(array, 0, array2, 0, n);
            array = array2;
            return array;
        }
        return array;
    }
    
    private static URL fileToURL(File file) {
        String s;
        try {
            s = file.getCanonicalPath();
        }
        catch (IOException ex) {
            s = file.getAbsolutePath();
        }
        String file2 = s.replace(File.separatorChar, '/');
        if (!file2.startsWith("/")) {
            file2 = "/" + file2;
        }
        if (!file.isFile()) {
            file2 += "/";
        }
        try {
            return new URL("file", "", file2);
        }
        catch (MalformedURLException ex2) {
            throw new IllegalArgumentException("file");
        }
    }
}
